
package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商家审核信息DTO
 *
 * @author YXF
 * @date 2021-02-01 17:10:35
 */
@Data
public class ShopAuditingDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺审核id")
    private Long shopAuditingId;

    @Schema(description = "申请人id")
    private Long userId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "审核人id")
    private Long auditorId;

    @Schema(description = "店铺类型1自营店 2普通店")
    private Integer shopType;

    @Schema(description = "0 未审核 1已通过 -1未通过 2平台下线 3 平台下线待审核")
    private Integer status;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "签约起始时间")
    private Date contractStartTime;

    @Schema(description = "签约终止时间")
    private Date contractEndTime;



    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

}
